package jp.starlogic.webdb31.action.impl;

import java.util.ArrayList;
import java.util.List;

import jp.starlogic.webdb31.action.ListInitAction;
import jp.starlogic.webdb31.dto.CategoryDto;
import jp.starlogic.webdb31.dto.ItemDto;

public class ListInitActionImpl implements ListInitAction {
	private List categoryDtoList;

	public void init() {
		List list = new ArrayList();

		addMammal(list);
		addFishes(list);
		addOthers(list);

		categoryDtoList = list;
	}

	public List getCategoryDtoList() {
		return this.categoryDtoList;
	}

	private void addMammal(List list) {
		CategoryDto dto = new CategoryDto();
		dto.setName("M");
		addPrefectureDto(dto, "L");
		addPrefectureDto(dto, "l");
		addPrefectureDto(dto, "~");
		list.add(dto);
	}

	private void addFishes(List list) {
		CategoryDto dto = new CategoryDto();
		dto.setName("");
		addPrefectureDto(dto, "T}");
		addPrefectureDto(dto, "u");
		addPrefectureDto(dto, "}O");
		list.add(dto);
	}

	private void addOthers(List list) {
		CategoryDto dto = new CategoryDto();
		dto.setName("̑");
		addPrefectureDto(dto, "Fl");
		list.add(dto);
	}

	private void addPrefectureDto(CategoryDto localeDto, String prefectureName) {
		ItemDto dto = new ItemDto();
		dto.setName(prefectureName);
		localeDto.addItem(dto);
	}
}
